> ### Property Quantifiers
>Quantifiers for properties are provided for the purpose of semantic clarification only, and should **not** be treated as implementation recommendations. The CIDOC CRM has been designed to accommodate alternative opinions and incomplete information, and therefore **all** properties should be implemented as optional and repeatable for their domain and range (“many to many (0,n:0,n)”). Therefore, the term “cardinality constraints” is avoided here, as it typically pertains to implementations.
>The following table lists all possible property quantifiers occurring in this document by their notation, together with an explanation in plain words. In order to provide optimal clarity, two widely accepted notations are used redundantly in this document, a verbal and a numeric one. The verbal notation uses phrases such as “one to many”, and the numeric one, expressions such as “(0,n:0,1)”. While the terms “one”, “many” and “necessary” are quite intuitive, the term “dependent” denotes a situation where a range instance cannot exist without an instance of the respective property. In other words, the property is “necessary” for its range. (Meghini, C. & Doerr, M., 2018)

>**many to many (0,n:0,n)**
>Unconstrained: An individual domain instance and range instance of this property can have zero, one or more instances of this property. In other words, this property is optional and repeatable for its domain and range.
>**one to many**
>**(0,n:0,1)**
>An individual domain instance of this property can have zero, one or more instances of this property, but an individual range instance cannot be referenced by more than one instance of this property. In other words, this property is optional for its domain and range, but repeatable for its domain only. In some contexts, this situation is called a “fan-out”.
>**many to one**
>**(0,1:0,n)**
>An individual domain instance of this property can have zero or one instance of this property, but an individual range instance can be referenced by zero, one or more instances of this property. In other words, this property is optional for its domain and range, but repeatable for its range only. In some contexts, this situation is called a “fan-in”.
>**many to many, necessary (1,n:0,n)**
>An individual domain instance of this property can have one or more instances of this property, but an individual range instance can have zero, one or more instances of this property. In other words, this property is necessary and repeatable for its domain, and optional and repeatable for its range.
>**one to many, necessary**
>**(1,n:0,1)**
>An individual domain instance of this property can have one or more instances of this property, but an individual range instance cannot be referenced by more than one instance of this property. In other words, this property is necessary and repeatable for its domain, and optional but not repeatable for its range. In some contexts, this situation is called a “fan-out”.
>**many to one, necessary**
>**(1,1:0,n)**
>An individual domain instance of this property must have exactly one instance of this property, but an individual range instance can be referenced by zero, one or more instances of this property. In other words, this property is necessary and not repeatable for its domain, and optional and repeatable for its range. In some contexts, this situation is called a “fan-in”.
>**one to many, dependent**
>**(0,n:1,1)**
>An individual domain instance of this property can have zero, one or more instances of this property, but an individual range instance must be referenced by exactly one instance of this property. In other words, this property is optional and repeatable for its domain, but necessary and not repeatable for its range. In some contexts, this situation is called a “fan-out”.
>**one to many, necessary, dependent**
>**(1,n:1,1)**
>An individual domain instance of this property can have one or more instances of this property, but an individual range instance must be referenced by exactly one instance of this property. In other words, this property is necessary and repeatable for its domain, and necessary but not repeatable for its range. In some contexts, this situation is called a “fan-out”.
>**many to one, necessary, dependent**
>**(1,1:1,n)**
>An individual domain instance of this property must have exactly one instance of this property, but an individual range instance can be referenced by one or more instances of this property. In other words, this property is necessary and not repeatable for its domain, and necessary and repeatable for its range. In some contexts, this situation is called a “fan-in”.
>**one to one**
>**(1,1:1,1)**
>An individual domain instance and range instance of this property must have exactly one instance of this property. In other words, this property is necessary and not repeatable for its domain and for its range.

>The CIDOC CRM defines some dependencies between properties and the classes that are their domains or ranges. These can be one or both of the following:
>-   the property is necessary for the domain
>-   the property is necessary for the range, or, in other words, the range is dependent on the property.
>The possible kinds of dependencies are defined in the table above. Note that if a dependent property is not specified for an instance of the respective domain or range, it means that the property exists, but the value on one side of the property is unknown. In the case of optional properties, the methodology proposed by the CIDOC CRM does not distinguish between a value being unknown or the property not being applicable at all. For example, one may know that an object has an owner, but the owner is unknown. In a CIDOC CRM instance this case cannot be distinguished from the fact that the object has no owner at all. Of course, such details can always be specified by a textual note.
>Note that the quantification of all properties of properties, “.1” properties, is “many-to-many” and, therefore, does not appear explicitly in their definitions.

### Quantificateurs de propriétés
Les quantificateurs de propriétés sont fournis uniquement à des fins de clarification sémantique et ne doivent pas être considérés comme des recommandations de mise en œuvre. Le CRM CIDOC a été conçu pour prendre en compte des opinions alternatives et des informations incomplètes, et par conséquent, toutes les propriétés doivent être implémentées comme facultatives et répétables pour leur domaine et leur étendue ("many to many (0,n:0,n)"). Par conséquent, le terme "contraintes de cardinalité" est évité ici, car il se rapporte généralement aux implémentations. 
Le tableau suivant énumère tous les quantificateurs de propriété possibles apparaissant dans ce document, avec leur notation, ainsi qu'une explication en clair. Afin de fournir une clarté optimale, deux notations largement acceptées sont utilisées de manière redondante dans ce document, une notation verbale et une notation numérique. La notation verbale utilise des expressions telles que "un à plusieurs", et la notation numérique, des expressions telles que "(0,n:0,1)". Si les termes "un", "plusieurs" et "nécessaire" sont assez intuitifs, le terme "dépendant" désigne une situation dans laquelle une instance de plage ne peut exister sans une instance de la propriété respective. En d'autres termes, la propriété est "nécessaire" à sa gamme. (Meghini, C. & Doerr, M., 2018)

|||
|--|--|
| beaucoup à beaucoup (0,n:0,n)| Sans contrainte : Une instance individuelle de domaine et une instance de plage de cette propriété peuvent avoir zéro, une ou plusieurs instances de cette propriété. En d'autres termes, cette propriété est facultative et répétable pour son domaine et sa plage. |
| un à plusieurs (0,n:0,1)| Une instance individuelle de domaine de cette propriété peut avoir zéro, une ou plusieurs instances de cette propriété, mais une instance individuelle de plage ne peut pas être référencée par plus d'une instance de cette propriété. En d'autres termes, cette propriété est facultative pour son domaine et sa plage, mais répétable pour son domaine uniquement. Dans certains contextes, cette situation est appelée "fan-out".|
| beaucoup à un (0,1:0,n) | Une instance individuelle de domaine de cette propriété peut avoir zéro ou une instance de cette propriété, mais une instance individuelle de plage peut être référencée par zéro, une ou plusieurs instances de cette propriété. En d'autres termes, cette propriété est facultative pour son domaine et sa plage, mais répétable pour sa plage uniquement. Dans certains contextes, cette situation est appelée un "fan-in". |
| many to many, nécessaire (1,n:0,n) | Une instance individuelle de domaine de cette propriété peut avoir une ou plusieurs instances de cette propriété, mais une instance individuelle de plage peut avoir zéro, une ou plusieurs instances de cette propriété. En d'autres termes, cette propriété est nécessaire et répétable pour son domaine, et facultative et répétable pour son étendue. |
| un à plusieurs, nécessaire (1,n:0,1) | Une instance individuelle de domaine de cette propriété peut avoir une ou plusieurs instances de cette propriété, mais une instance individuelle de plage ne peut pas être référencée par plus d'une instance de cette propriété. En d'autres termes, cette propriété est nécessaire et répétable pour son domaine, et facultative mais non répétable pour son étendue. Dans certains contextes, cette situation est appelée "fan-out". |
| beaucoup à un, nécessaire (1,1:0,n) | Une instance individuelle de domaine de cette propriété doit avoir exactement une instance de cette propriété, mais une instance individuelle de plage peut être référencée par zéro, une ou plusieurs instances de cette propriété. En d'autres termes, cette propriété est nécessaire et non répétable pour son domaine, et facultative et répétable pour son étendue. Dans certains contextes, cette situation est appelée un "fan-in". |
| un à plusieurs, dépendant (0,n:1,1) | Une instance de domaine individuelle de cette propriété peut avoir zéro, une ou plusieurs instances de cette propriété, mais une instance de plage individuelle doit être référencée par exactement une instance de cette propriété. En d'autres termes, cette propriété est facultative et répétable pour son domaine, mais nécessaire et non répétable pour sa plage. Dans certains contextes, cette situation est appelée "fan-out". |
| un à plusieurs, nécessaire, dépendant (1,n:1,1) | Une instance individuelle de domaine de cette propriété peut avoir une ou plusieurs instances de cette propriété, mais une instance individuelle de plage doit être référencée par exactement une instance de cette propriété. En d'autres termes, cette propriété est nécessaire et répétable pour son domaine, et nécessaire mais non répétable pour son étendue. Dans certains contextes, cette situation est appelée "fan-out". |
| plusieurs à un, nécessaire, dépendant (1,1:1,n) | Une instance individuelle de domaine de cette propriété doit avoir exactement une instance de cette propriété, mais une instance individuelle de plage peut être référencée par une ou plusieurs instances de cette propriété. En d'autres termes, cette propriété est nécessaire et non répétable pour son domaine, et nécessaire et répétable pour son étendue. Dans certains contextes, cette situation est appelée un "fan-in". |
| un à un (1,1:1,1) | Une instance individuelle de domaine et une instance de plage de cette propriété doivent avoir exactement une instance de cette propriété. En d'autres termes, cette propriété est nécessaire et non répétable pour son domaine et pour sa plage. |
<br>
Le CRM CIDOC définit certaines dépendances entre les propriétés et les classes qui constituent leurs domaines ou leurs plages. Il peut s'agir de l'une ou l'autre des situations suivantes, ou des deux :<br>
    - la propriété est nécessaire pour le domaine <br>
    - la propriété est nécessaire pour l'étendue ou, en d'autres termes, l'étendue dépend de la propriété.<br>
Les types de dépendances possibles sont définis dans le tableau ci-dessus. Notez que si une propriété dépendante n'est pas spécifiée pour une instance du domaine ou de l'intervalle correspondant, cela signifie que la propriété existe, mais que la valeur d'un côté de la propriété est inconnue. Dans le cas des propriétés optionnelles, la méthodologie proposée par le CIDOC CRM ne fait pas de distinction entre une valeur inconnue et une propriété qui ne s'applique pas du tout. Par exemple, on peut savoir qu'un objet a un propriétaire, mais celui-ci est inconnu. Dans une instance du CIDOC CRM, ce cas ne peut être distingué du fait que l'objet n'a pas de propriétaire du tout. Bien entendu, de tels détails peuvent toujours être précisés par une note textuelle.<br>
Notez que la quantification de toutes les propriétés des propriétés, les propriétés ".1", est "plusieurs à plusieurs" et, par conséquent, n'apparaît pas explicitement dans leurs définitions.

